%define _unpackaged_files_terminate_build 1

#%%define buildnum try3

Name: ksquirrel-libs
Version: 0.8.0
Release: alt4
#.%%buildnum

Summary: File format plugins for KSquirrel image viewer
License: %lgpl2plus
Group: Graphics

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Url: http://ksquirrel.sf.net/

Source: %name-%version.tar.bz2
Source1: detect-autoconf.pl
Patch1: %name-0.8.0-gcc43.patch
Patch4: %name-0.8.0-alt-build-x86_64.patch

BuildPreReq: rpm-build-licenses

BuildPreReq: fontconfig libfreetype-devel gcc-c++
BuildPreReq: libtiff-devel libungif-devel
BuildPreReq: libmng-devel libwmf-devel liblcms-devel
BuildPreReq: pkgconfig djvu-utils netpbm

# jpeg2000
BuildPreReq: libjasper-devel
# exr
BuildPreReq: openexr-devel
# SVG
BuildPreReq: librsvg-utils
Requires: librsvg-utils
#BuildPreReq: libcairo-devel >= 0.5.2
#BuildPreReq: libsvg-cairo-devel >= 0.1.6 libsvg-devel >= 0.1.4
#BuildPreReq: libxml2-devel
# DXF
BuildPreReq: vec2web
# FIG
BuildPreReq: transfig
# EPS
BuildPreReq: ghostscript-classic

%description
This package contains libraries needed for KSquirrel image viewer
to handle various image formats.

%package extra
Summary: Extra file format plugins for KSquirrel image viewer
Group: Graphics
Requires: vec2web

%description extra
This package contains extra libraries needed for KSquirrel image
viewer to handle various image formats.

These libraries were packaged separately because of additional
dependencies on external libraries.

%package devel
Summary: Header files for KSquirrel plugins
Group: Development/C++
Requires: %name = %version

%description devel
Header files for KSquirrel image viewer plugins

%prep
%setup
find . -name "*~" -delete
rm -f doc{,/html,/sources{,/ttx}}/Makefile*
%__subst 's, doc,,' Makefile.am
mv -f configure.ac configure.ac.orig && egrep -v 'doc|example' configure.ac.orig > configure.ac
%patch1 -p1
%patch4 -p1
install -m755 %SOURCE1 admin/detect-autoconf.pl
%make_build -f admin/Makefile.common
# #9721
%__subst "s|lcms\.h|lcms/lcms.h|g" kernel/kls_camera/dcraw.c

%build
%configure \
	--enable-final \
	%{subst_enable debug}
%make_build

%install
%makeinstall
find %buildroot%_libdir/%name/ -type l -name '*kls*.so' -delete

%files
%_bindir/ksquirrel-libs-camera2ppm
%_bindir/ksquirrel-libs-dcraw
%_bindir/ksquirrel-libs-iff2ppm
%_bindir/ksquirrel-libs-leaf2ppm
%_bindir/ksquirrel-libs-ljpeg2ppm
%_bindir/ksquirrel-libs-ljpeg2ppm-s
%_bindir/ksquirrel-libs-mac2ppm
%_bindir/ksquirrel-libs-neo2ppm
%_bindir/ksquirrel-libs-pi12ppm
%_bindir/ksquirrel-libs-pi32ppm
%_bindir/ksquirrel-libs-svg2png
%_bindir/ksquirrel-libs-ttf2pnm
%_bindir/ksquirrel-libs-utah2ppm
%_bindir/ksquirrel-libs-xcf2pnm
%_bindir/ksquirrel-libs-xim2ppm
%doc AUTHORS ChangeLog COPYING LICENSE* README VERSION doc/ examples/
%dir %_libdir/%name/
%_libdir/%name/libkls_avs.*
%_libdir/%name/libkls_bmp.*
%_libdir/%name/libkls_camera.*
%_libdir/%name/libkls_cut.*
%_libdir/%name/libkls_eps.*
%_libdir/%name/libkls_dds.*
%_libdir/%name/libkls_djvu.*
%_libdir/%name/libkls_fli.*
%_libdir/%name/libkls_gif.*
%_libdir/%name/libkls_hdr.*
%_libdir/%name/libkls_ico.*
%_libdir/%name/libkls_iff.*
%_libdir/%name/libkls_jbig.*
%_libdir/%name/libkls_jpeg.*
%_libdir/%name/libkls_koa*.*
%_libdir/%name/libkls_leaf.*
%_libdir/%name/libkls_lif.*
%_libdir/%name/libkls_ljpeg.*
%_libdir/%name/libkls_mac.*
%_libdir/%name/libkls_mdl.*
%_libdir/%name/libkls_mng.*
%_libdir/%name/libkls_mtv.*
%_libdir/%name/libkls_neo.*
%_libdir/%name/libkls_pcx.*
%_libdir/%name/libkls_pi1.*
%_libdir/%name/libkls_pi3.*
%_libdir/%name/libkls_pix.*
%_libdir/%name/libkls_png.*
%_libdir/%name/libkls_pnm.*
%_libdir/%name/libkls_psd.*
%_libdir/%name/libkls_psp.*
%_libdir/%name/libkls_pxr.*
%_libdir/%name/libkls_ras.*
%_libdir/%name/libkls_rawrgb.*
%_libdir/%name/libkls_sct.*
%_libdir/%name/libkls_sgi.*
%_libdir/%name/libkls_sun.*
%_libdir/%name/libkls_tga.*
%_libdir/%name/libkls_tiff.*
%_libdir/%name/libkls_ttf.*
%_libdir/%name/libkls_utah.*
%_libdir/%name/libkls_wal.*
%_libdir/%name/libkls_wbmp.*
%_libdir/%name/libkls_wmf.*
%_libdir/%name/libkls_xbm.*
%_libdir/%name/libkls_xcf.*
%_libdir/%name/libkls_xcur.*
%_libdir/%name/libkls_xim.*
%_libdir/%name/libkls_xpm.*
%_libdir/%name/libkls_xwd.*
%_libdir/libksquirrel-libs.so.*
%_libdir/libksquirrel-libs-png.so.*
%_datadir/%name/

%files extra
%_bindir/ksquirrel-libs-fig2ppm
%_libdir/%name/libkls_dxf.*
%_libdir/%name/libkls_fig.*
%_libdir/%name/libkls_jpeg2000.*
%_libdir/%name/libkls_openexr.*
%_libdir/%name/libkls_svg.*

%files devel
%_includedir/*
%_libdir/libksquirrel-libs.so
%_libdir/libksquirrel-libs-png.so
%_pkgconfigdir/*.pc


%changelog
* Mon Dec 01 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.8.0-alt4
- remove workaround for #11437

* Sun Nov 23 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.8.0-alt3
- fix build

* Sat Mar 08 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.8.0-alt2
- fix x86_64 build (damir@)

* Tue Dec 11 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Sat Nov 17 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Tue Nov 06 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Mon Nov 05 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Thu Oct 04 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.2-alt1
- 0.7.2
- move dxf codec to -extra subpackage, add requires on vec2web

* Sat Sep 22 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.1-alt1.try3
- 0.7.1 try3

* Sun Sep 02 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.1-alt1
- 0.7.1

* Fri Aug 24 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.0-alt1.2
- rebuild

* Mon May 21 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.0-alt1.1
- rebuild with new openexr

* Tue May 15 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.0-alt1
- 0.7.0
- add workaround for #11437
- add DXF plugin

* Wed Apr 11 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.0-alt0.1.pre2
- 0.7.0-pre2

* Mon Mar 12 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.7.0-alt0.1.pre1
- 0.7.0-pre1

* Tue Feb 06 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.3-alt1.2
- rebuild

* Fri Sep 15 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.3-alt1.1
- remove libpixman-devel from BuildReqs

* Sun Jun 18 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Tue Apr 25 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt4
- fix .pc install on x86_64

* Thu Apr 06 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt3
- fix devel subpackage requires
- enable _unpackaged_files_terminate_build

* Thu Feb 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt2
- add %%_libdir/%%name/libksquirrel-libs.so to provides list

* Sat Feb 18 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Wed Dec 14 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt3
- 0.6.0 release

* Thu Nov 17 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt2.pre9
- 0.6.0-pre9

* Sun Oct 09 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt2.pre7
- 0.6.0-pre7
- fix permissions on %_libdir/%name/* (#8024, thanks to lav@)

* Wed Sep 07 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt2.pre6
- build for Sisyphus

* Sun Sep 04 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt1.pre6
- build for Daedalus
